uk.ac.starlink.pal

## Class Cartesian

- java.lang.Object
- - uk.ac.starlink.pal.Cartesian

-     public class Cartesian
      extends java.lang.Object

  Cartesian Point in 2D or 3D space

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Cartesian(double a, double b)` Cartesian Point in 2D space
    `Cartesian(double a, double b, double c)` Cartesian Point in 3D space
    `Cartesian(double a, double b, double c, double aa, double bb, double cc)` Cartesian Point in 3D space and its derivitive

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getX()` Get the x component
    `double` | `getXvel()` Get the first derivitive of x ( velocity)
    `double` | `getY()` Get the y component
    `double` | `getYvel()` Get the first derivitive of y ( velocity)
    `double` | `getZ()` Get the z component
    `double` | `getZvel()` Get the first derivitive of z ( velocity)
    `java.lang.String` | `toString()` Get the value of the point as a string of the form (x,y,z) and the velocity (if set) in the form (aa,bb,cc)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Cartesian

          public Cartesian(double a,
                           double b)

      Cartesian Point in 2D space
      Parameters:
        `a` - x component
        `b` - y component

    - #### Cartesian

          public Cartesian(double a,
                           double b,
                           double c)

      Cartesian Point in 3D space
      Parameters:
        `a` - x component
        `b` - y component
        `c` - z component

    - #### Cartesian

          public Cartesian(double a,
                           double b,
                           double c,
                           double aa,
                           double bb,
                           double cc)

      Cartesian Point in 3D space and its derivitive
      Parameters:
        `a` - x component
        `b` - y component
        `c` - z component
        `aa` - first derivitive of x
        `bb` - first derivitive of y
        `cc` - first derivitive of z

  - ### Method Detail

    - #### getX

          public double getX()

      Get the x component
      Returns:
        The x component

    - #### getY

          public double getY()

      Get the y component
      Returns:
        The y component

    - #### getZ

          public double getZ()

      Get the z component
      Returns:
        The z component

    - #### getXvel

          public double getXvel()

      Get the first derivitive of x ( velocity)
      Returns:
        The x velocity component

    - #### getYvel

          public double getYvel()

      Get the first derivitive of y ( velocity)
      Returns:
        The t velocity component

    - #### getZvel

          public double getZvel()

      Get the first derivitive of z ( velocity)
      Returns:
        The z velocity component

    - #### toString

          public java.lang.String toString()

      Get the value of the point as a string of the form (x,y,z) and the velocity (if set) in the form (aa,bb,cc)
      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2017 Central Laboratory of the Research Councils. All Rights Reserved.